# SentMediaGroupUpdate - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.update.MediaGroupUpdates / SentMediaGroupUpdate

# SentMediaGroupUpdate

(common) `interface SentMediaGroupUpdate : MediaGroupUpdate` (source)

### Properties

(common)

#### data

`abstract val data: List<MediaGroupMessage>`

(common)

#### origins

`abstract val origins: List<BaseMessageUpdate>`

### Inheritors

(common)

#### ChannelPostMediaGroupUpdate

`data class ChannelPostMediaGroupUpdate : SentMediaGroupUpdate`

(common)

#### MessageMediaGroupUpdate

`data class MessageMediaGroupUpdate : SentMediaGroupUpdate`